# ThreeParticleAverageSite Class Reference

This is a VirtualSite that computes the particle location as a weighted average of three other particle's locations. More...

Inheritance diagram for ThreeParticleAverageSite:

List of all members.

## Public Member Functions

def | getWeight
| getWeight(self, int particle) -> double
def | __init__
| __init__(self, int particle1, int particle2, int particle3, double weight1, double weight2, double weight3) -> ThreeParticleAverageSite __init__(self, ThreeParticleAverageSite other) -> ThreeParticleAverageSite
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This is a VirtualSite that computes the particle location as a weighted average of three other particle's locations.

Assuming the weights add up to 1, this means the virtual site is in the plane of the three particles.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from VirtualSite.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, int particle1, int particle2, int particle3, double weight1, double weight2, double weight3) -> ThreeParticleAverageSite __init__(self, ThreeParticleAverageSite other) -> ThreeParticleAverageSite

Create a new ThreeParticleAverageSite virtual site. Normally the weights should add up to 1, although this is not strictly required.

Parameters:

  | particle1 | the index of the first particle
  | particle2 | the index of the second particle
  | particle3 | the index of the third particle
  | weight1 | the weight factor (between 0 and 1) for the first particle
  | weight2 | the weight factor (between 0 and 1) for the second particle
  | weight2 | the weight factor (between 0 and 1) for the third particle

def getWeight | ( |  | self,
|  |  | args |
| ) |  |  |

getWeight(self, int particle) -> double

Get the weight factor used for a particle this virtual site depends on.

Parameters:

  | particle | the particle to get (between 0 and getNumParticles())

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py